<?php
/**
 * Arquivo de declaração da classe LerConteudo.
 */
class LerConteudo
{
    /**
     * Páginas do CMS.
     *
     * @param  string $pagina
     */
    public static function getPagina($pagina = '')
    {
        $explode = explode('-', $pagina);
        $pagina = @$explode[1];
        $interna = @$explode[2];

        if (isset($explode[2])) {
            $arquivo = 'modulos/' . $pagina . '/' . $interna . '.php';
        } elseif (isset($pagina) && 'home' != $pagina) {
            $arquivo = 'modulos/' . $pagina . '/index.php';
        } elseif ('cms-logout' == $pagina) {
            $arquivo = 'login/logout.php';
        } else {
            $arquivo = 'home/index.php';
        }

        include $arquivo;
    }
}
